
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #990

Width of visualizations should be ignored for text ellipsization if they are disabled

May 29, 2020 00:07 - Thomas Lange

Status: Closed Start date: May 29, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.0.4   

Affects version: 4.0.3   

Description

If the visualizations in the info bar are disabled, we should ignore their

original width in the calculation for text ellipsization in InfoBar::paintEvent().

This issue only exists with the Qt interface, the GTK interface is not affected.

See the attached screenshot.

History

#1 - May 29, 2020 04:37 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

You have great attention to detail :)

Should be fixed now:

https://github.com/audacious-media-player/audacious-plugins/commit/114b669c4db8ab204de2e525ffe568999471bc54

#2 - May 29, 2020 10:20 - Thomas Lange

Thanks for the fast fix, John. :)

#3 - June 01, 2020 17:20 - John Lindgren

- Target version set to 4.0.4
